<ui:composition  xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                 xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                 xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                 xmlns="http://www.w3.org/1999/xhtml">


        <s:div styleClass="col-md-2 profile-scope-style">
            <h:selectOneMenu id="testability"
                             styleClass="form-control gzl-select-text testability"
                             style="width: 90%;display: initial;"
                             value="#{profileScope.profileInTestingSession.testability}">
                <s:selectItems value="#{testingSessionScopeBeanGui.getTestabilityValues()}"
                               var="selectedValue" label="#{messages[selectedValue.labelToDisplay]}"/>
                <a4j:ajax event="change" render="updateDate" execute="@this"
                          listener="#{testingSessionScopeBeanGui.updateProfileInTestingSession(profileScope.profileInTestingSession)}"/>
            </h:selectOneMenu>
        </s:div>
        <div class="col-md-2 profile-scope-style">
            <h:outputText
                    value="#{messages['net.ihe.gazelle.tm.LastUpdatedOn']} #{testingSessionScopeBeanGui.getFormattedLastChangedDateForProfileScope(profileScope)}
                    #{messages['gazelle.tm.roleInTest.by']} #{testingSessionScopeBeanGui.getUserName(profileScope.profileInTestingSession.lastModifierId)}"
                    id="updateDate"/>
        </div>
        <s:div styleClass="row col-md-1 profile-scope-style">
            #{messages['net.ihe.gazelle.tm.ProfileCoverage']}
        </s:div>
        <s:div styleClass="col-md-1 profile-scope-style">
            <div class="progress">
                <div class="progress-bar" role="progressbar"
                     style="#{testingSessionScopeBeanGui.getCurrentProfileCoverageStyleForProfileScope(profileScope)}; min-width: 2em;">
                    #{testingSessionScopeBeanGui.getCurrentProfileCoverageForProfileScope(profileScope)}/#{testingSessionScopeBeanGui.getMaxProfileCoverageForProfileScope(profileScope)}
                </div>
            </div>
        </s:div>
        <a class="col-md-1 profile-scope-style" id="profileRowAdmin#{profileScope.profileInTestingSession.id}" data-toggle="collapse" href="#profile#{profileScope.profileInTestingSession.id}"
           onclick="expandCollapseIcon(#{profileScope.profileInTestingSession.id})">
            <h:outputText class="gzl-icon-expand pull-right changeIcon profile#{profileScope.profileInTestingSession.id}" id="profileRowAdmin#{profileScope.profileInTestingSession.id}"/>
        </a>
        <div class="col-md-12"></div>
        <s:div styleClass="col-md-4">
            <h:inputTextarea styleClass="form-control"
                             value="#{profileScope.profileInTestingSession.comment}" cols="4">
                <a4j:ajax event="blur" execute="@this"
                          listener="#{testingSessionScopeBeanGui.updateProfileInTestingSession(profileScope.profileInTestingSession)}"/>
            </h:inputTextarea>
        </s:div>

</ui:composition>